Skip to main content
PATCH
Partially update a space (merge-patch)

Path Parameters

id
integer<int64>
required

Space ID

Body

application/json
description
string

New description

position
integer<int64>

New order within parent

timezone
string

New IANA timezone

title
string

New title

Minimum string length: 1
visibility
integer<int64>

New visibility: 10=private, 20=members-only, 30=organization, 40=public

Response

OK

created_at
string<date-time>
required

Created timestamp

creator_id
string
required

Creator profile ID

description
string
required

Space description

id
integer<int64>
required

Space ID

is_deleted
boolean
required

Soft-deleted flag

position
integer<int64>
required

Order within parent

status
enum<string>
required

Publish status

Available options:
draft,
published,
archived
timezone
string
required

IANA timezone

title
string
required

Space title

updated_at
string<date-time>
required

Updated timestamp

version
integer<int64>
required

Version counter, incremented on each publish

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/Space.json"

org_id
string

Organization ID (nil = personal space)

parent_id
integer<int64>

Parent space ID

published_at
string<date-time>

When last published

published_id
integer<int64>

For draft rows: ID of the published row this was cloned from

visibility
integer<int64>

Visibility: 10=private, 20=members-only, 30=organization, 40=public

Last modified on June 11, 2026